
import sys

import glitch, glitch.PIL, glitch.glut

if __name__ == '__main__':
    texture = glitch.PIL.ImageTexture.from_file(sys.argv[1])
    camera = glitch.glut.GLUTCamera(eye=[0.5, 0.5, 1], ref=[0.5, 0.5, 0], children=[
        glitch.ApplyTexture(texture, children=[glitch.TexturedRectangle()])])
    camera.run()
